package com.hzya.frame.sys.dictionaryshopNew.dao;

import com.hzya.frame.sys.dictionaryshopNew.entity.SysDictionaryshopNew;
import java.util.List;

/**
 * @description: 数据字典表  dao
 * @tableName: sys_dictionaryshop_new
 * @entityName: SysDictionaryshopNew
 * @author: gjh
 * @history: 1.0
 */
public interface ISysDictionaryshopNewMapper {

        //通过ID获取数据    entity_get
        SysDictionaryshopNew entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<SysDictionaryshopNew> entity_list_base(SysDictionaryshopNew entity);

        //  查询符合条件的数量
        Integer entity_count(SysDictionaryshopNew entity);

        //分页查询列表 采用like格式 entity_list_like
        List<SysDictionaryshopNew> entity_list_like(SysDictionaryshopNew entity);

        //查询列表 字段采用or格式   entity_list_or
        List<SysDictionaryshopNew> entity_list_or(SysDictionaryshopNew entity);

        //新增  entity_insert
        SysDictionaryshopNew entity_insert(SysDictionaryshopNew entity);

        //修改  entity_update
        Integer entity_update(SysDictionaryshopNew entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(SysDictionaryshopNew entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(SysDictionaryshopNew entity);

        //物理删除
        Integer entity_delete(SysDictionaryshopNew entity);


        SysDictionaryshopNew entity_get_by_value(SysDictionaryshopNew sysDictionaryshopNew);
}
